#!/bin/bash

YEAR=202021

if mountpoint -q /opt/desinfect/signatures ; then
	rsync -avHP --exclude=swap.img --exclude=config /opt/desinfect/signatures/  /desinfect/target/
	sync
	exit 0
fi

# Eset
source=/var/opt/eset/
rsync -avHP "$source" /desinfect/target/desinfect-signatures/eset/ 

# Kaspersky
#if mountpoint -q /var/kl/bases_rd ; then
#	source=/var/kl/bases_rd/
#else
#	source=/var/kl/bases_rd.orig/
#fi
#if [ -d "$source" ] ; then
#	rsync -avHP "$source" /desinfect/target/desinfect-signatures/kaspersky/ 
#fi
source=/var/opt/kaspersky/
rsync -avHP "$source" /desinfect/target/desinfect-signatures/kaspersky/

# Avira
#source=/AntiVir/
#rsync -avHP "$source" /desinfect/target/desinfect-signatures/avira/

# ClamAV
source=/var/lib/clamav/
rsync -avHP "$source" /desinfect/target/desinfect-signatures/clamav/

# Sophos
source=/opt/sophos-av/
rsync -avHP "$source" /desinfect/target/desinfect-signatures/sophos-av/

# F-Secure
source=/var/opt/f-secure/
rsync -avHP "$source" /desinfect/target/desinfect-signatures/f-secure/

# Yara
source=/opt/yara-patterns/
rsync -avHP "$source" /desinfect/target/desinfect-signatures/yara/



mkdir -p /desinfect/target/desinfect-signatures/deb
meta=` ls /var/cache/apt/archives/ | grep desinfect-meta | tail -n 1 `
if [ -n "$meta" ] ; then
	cp -v /var/cache/apt/archives/${meta}  /desinfect/target/desinfect-signatures/deb
fi
if mountpoint /opt/desinfect/signatures ; then
	meta=` ls /opt/desinfect/signatures/deb/ | grep desinfect-meta | tail -n 1 `
	if [ -n "$meta" ] ; then
		cp -v /opt/desinfect/signatures/deb/${meta}  /desinfect/target/desinfect-signatures/deb
	fi
fi
install -m 0755 backup.sh /desinfect/target/
install -m 0755 restore.sh /desinfect/target/
install -m 0755 userinit.sh /desinfect/target/
touch /desinfect/target/.desinfect${YEAR}
mkdir /desinfect/target/config

sync
