#!/bin/bash

YEAR=202021

isodev=` df -h /cdrom | tail -n1 | awk '{print $1}' `
tar -C /cdrom -cf - isolinux boot preseed .disk casper/vmlinuz casper/vmlinuz.64 casper/initrd.lz casper/initrd.str EFI | tar -C /desinfect/target -xvf - 
mv /desinfect/target/EFI /desinfect/target/unused.EFI
mkdir /desinfect/target/software 
if mountpoint /desinfect/btrfs ; then
	mkdir -p  /desinfect/btrfs/casper/filesystem.dir
	mkdir /desinfect/source
	if [ -d /cdrom/casper/filesystem.dir ] ; then
		subvolid=` btrfs subvolume list /cdrom | grep desinfect-initial | awk '{print $2}' `
		mount -o ro,subvolid=${subvolid} ${isodev} /desinfect/source 
		tar -C /desinfect/source -cvf /tmp/initialrd.tar casper/vmlinuz casper/vmlinuz.64 casper/initrd.lz casper/initrd.str 
		rsync -avHP /desinfect/source/casper/filesystem.dir/ /desinfect/btrfs/casper/filesystem.dir/
		rsync -avHP /media/desinfSYS/ /desinfect/target/ 
	else
		mount -o loop /cdrom/casper/filesystem.squashfs /desinfect/source
		rsync -avHP /desinfect/source/ /desinfect/btrfs/casper/filesystem.dir/
	fi
	for f in vmlinuz vmlinuz.64 initrd.lz initrd.str ; do
		cp -v /desinfect/source/casper/${f} /desinfect/target/casper
	done
	find /desinfect/target/isolinux -type f -name '*.cfg' -exec sed -i 's%boot=casper%boot=casper bootfrom=/dev/disk/by-label/desinfBTRFS%g' {} \; 
	umount /desinfect/source 
	mkdir /desinfect/btrfs/deb
	install -m 0644 /cdrom/deb/kesl.deb /desinfect/btrfs/deb/
else
	dd if=${isodev} of=/desinfect/target/software/desinfect-${YEAR}.iso bs=1M
	find /desinfect/target/isolinux -type f -name '*.cfg' -exec sed -i 's%boot=casper%boot=casper iso-scan/filename=/software/desinfect-'${YEAR}'.iso%g' {} \; 
fi

sed -i 's%#menu hide%menu hide%g' /desinfect/target/isolinux/os.cfg
sed -i 's%include local.cfg%#include local.cfg%g' /desinfect/target/isolinux/isolinux.cfg
