#!/bin/bash
# encoding: utf-8
#
# (c) 2013-2019 Mattias Schlenker for Heise Verlag, Hannover, Germany
# This script is part of desinfec't

lang=de
tstyle='+%d.%m.%Y_%H:%M'
updatenow='Wollen Sie nun alle Virensignaturen aktualisieren?'
case $LANG in 
	nl*)
		lang=nl
		tstyle='+%d-%m-%Y_%H:%M'
		updatenow='Wil je nu alle signatures bijwerken?'
	;;
esac

parttype="gpt"

[ -f /etc/desinfect/installer.cfg ] && . /etc/desinfect/installer.cfg
update_sigs=1
mountpoint -q /opt/desinfect/signatures && update_sigs=0

#if mountpoint -q /media/desinfDATA ; then
#	zenity --error --text "Um USB-Sticks mit älteren Versionen von Desinfec't neu zu installieren fahren Sie den Computer jetzt herunter. Starten Sie ihn anschließend neu und schließen Sie den USB-Stick erst an, wenn der Desktop vollständig geladen ist."
#fi

gsettings set org.gnome.desktop.media-handling automount 'false'
gsettings set org.gnome.desktop.media-handling automount-open 'false' 

cd /opt/desinfect/usb-installer
sudo ruby -I. desinfect-usb-installer.rb $@ 

if mountpoint -q /media/desinfDATA ; then
	echo "Skip mount of data partition"
else
	sudo mkdir -p /media/desinfDATA
	sudo mount -t vfat -o rw,uid=999,gid=999 /dev/disk/by-label/desinfDATA /media/desinfDATA
fi

gsettings set org.gnome.desktop.media-handling automount 'true'
gsettings set org.gnome.desktop.media-handling automount-open 'true' 

if [ "$update_sigs" -gt 0 ] && zenity --question --text "$updatenow" ; then
	sudo bash /opt/desinfect/update_all_signatures.sh 
fi
